{% extends 'base.html' %}
{% block title %}Ajout d'adhérents{% endblock %}

{%block content%}
<div class="card w-50">
    <div class="card-header">
        Recherche dans l'annuaire associatif
    </div>
    <div class="card-body">
        <form method="post" action="{{URLFor('keycloak_searchP')}}">
            <input type="hidden" name="_csrf" value="{{csrf_token}}"/>
            <div class="form-group">
                <div class="input-group">

                    <div class="input-group-prepend">
                        <span class="input-group-text">@</span>
                    </div>
                    <input name="emailValue"
                           id="emails"
                           value=""
                           type="email" class="form-control"
                           placeholder="E-mail">
                </div>
            </div>
            <button class="btn btn-primary">rechercher</button>
        </form>
    </div>
    <div class="card-footer text-muted">
        <p>Ce formulaire vous permet d'effectuer une recherche dans la base de données du Service Informatique
            Associatif.
            Cette base de données recense tous les adhérents à la VA ainsi que toutes les personnes qui le
            souhaitent.
        </p>
        <p>Vous pourrez rajouter à vos adhérents des personnes depuis la liste de résultats. Sinon, ils peuvent se
            rajouter
            eux-même en se connectant avec leurs comptes sur votre site.</p>
    </div>
</div>
{% if Resultats%}
<br/>
<ul class="list-group">
    {% for user in Users %}
    <li class="list-group-item">
        <form method="post" action="{{URLFor('keycloak_addfrom')}}">
            <strong>{{user.FirstName}} {{user.LastName}}</strong> <i>{{user.Email}}</i>
            <input type="hidden" name="_csrf" value="{{csrf_token}}"/>
            <input type="hidden" name="username" value="{{user.Username}}">
            <input type="hidden" name="id" value="{{user.ID}}">
            <button class="btn btn-primary" data-toggle="tooltip" data-placement="right" title="{{user.Username}}">
                Inscrire
            </button>
        </form>
    </li>
    {% endfor %}
</ul>

{%endif%}
{%endblock%}